<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <!-- CONFIGURATION -->
    #{simuManager.listAllConfigurations()}
    <a4j:region id="configSelectionRegion">
        <div class="row">
            <div class="col-md-3">
                <s:decorate id="configSelectionDecorate" template="/layout/form/_edit.xhtml"
                            rendered="#{simuManager.configurations != null}">
                    <ui:param name="id" value="configSelectionBox"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Configurations']}</ui:define>

                    <h:selectOneMenu id="configSelectionBox" value="#{simuManager.selectedConfiguration}"
                                     styleClass="form-control gzl-form-control gzl-select-text">
                        <s:selectItems value="#{simuManager.configurations}" var="currentConfig"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                       label="#{currentConfig.name}"/>
                        <a4j:ajax event="change" for="configSelectionBox"
                                  render="configurationDivFr, affinityDomainDiv,transactionSelection,initNew,initOld,#{divToRerender}"/>
                    </h:selectOneMenu>

                    <h:commandLink action="/configuration/common/configurations.xhtml"
                                   title="#{messages['net.ihe.gazelle.xdstar.AddANewConfiguration']}"
                                   rendered="#{identity.loggedIn}">
                        <span class="gzl-icon-plus"/>
                    </h:commandLink>
                </s:decorate>
            </div>

            <div class="col-md-9">
                <s:div id="configurationDivFr">
                    <s:div rendered="#{simuManager.selectedConfiguration != null}">
                        <ui:include src="/simu/initiatorFrame.xhtml">
                            <ui:param name="diagramImg" value="#{diagramFile}"/>
                            <ui:param name="sourceID" value="#{sourceID}"/>
                            <ui:param name="homeCommunityID" value="#{homeCommunityID}"/>
                            <ui:param name="currentConfig" value="#{simuManager.selectedConfiguration}"/>
                            <ui:param name="simulatorConfigurationName" value="#{simulatorConfigurationName}"/>
                            <ui:param name="displaySourceId" value="#{displaySourceId}"/>
                            <ui:param name="displayhomeCommunityId" value="#{displayhomeCommunityId}"/>
                        </ui:include>
                    </s:div>
                </s:div>
            </div>
        </div>
    </a4j:region>

    <s:div id="initOld" rendered="#{!simuManager.initFromMenu}">
        <!-- AFFINITY DOMAIN -->
        <s:div id="affinityDomainDiv">
            <s:decorate template="/layout/edit.xhtml"
                        rendered="#{(simuManager.selectedConfiguration != null) and (simuManager.listContaintMoreThanOneElement(simuManager.listAllAffinityDomains()))}">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Context']}</ui:define>
                <h:selectOneMenu value="#{simuManager.selectedAffinityDomain}"
                                 styleClass="form-control gzl-form-control gzl-select-text">
                    <s:selectItems value="#{simuManager.listAllAffinityDomains()}" var="ad"
                                   label="#{ad.labelToDisplay}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="messageConfigurationDiv,transactionSelection,#{divToRerender}"
                              listener="#{simuManager.getTransactionsForDomain()}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{(simuManager.selectedConfiguration != null) and (!simuManager.listContaintMoreThanOneElement(simuManager.listAllAffinityDomains()))}">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Context']}</ui:define>
                <h:outputText value="#{simuManager.selectedAffinityDomain.labelToDisplay}"/>
            </s:decorate>
        </s:div>
        <br/>
        <!-- TRANSACTION -->
        <s:div id="transactionSelection">
            <s:decorate template="/layout/edit.xhtml"
                        rendered="#{(simuManager.selectedConfiguration != null) and (simuManager.selectedAffinityDomain != null) and (simuManager.listContaintMoreThanOneElement(simuManager.getAvailableTransactions()))}">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                <h:selectOneRadio value="#{simuManager.selectedTransaction}">
                    <f:selectItems value="#{simuManager.getAvailableTransactions()}"/>
                    <a4j:ajax event="change" execute="@this" render="#{divToRerender}"
                              listener="#{simuManager.updateSpecificClient()}"/>
                </h:selectOneRadio>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{(simuManager.selectedConfiguration != null) and (simuManager.selectedAffinityDomain != null) and (!simuManager.listContaintMoreThanOneElement(simuManager.getAvailableTransactions()))}">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                <h:outputText value="#{simuManager.selectedTransaction.keyword}"/>
            </s:decorate>
            <br/>
        </s:div>
    </s:div>

    <s:div id="initNew" rendered="#{simuManager.initFromMenu}">
        #{simuManager.updateSpecificClient()}
        <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
            <h:outputText value="#{simuManager.selectedAffinityDomain.labelToDisplay}"/>
        </s:decorate>

        <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
            <h:outputText value="#{simuManager.selectedTransaction.keyword}"/>
        </s:decorate>
    </s:div>

</ui:composition>
